description: span class="label">No description available</span
link: org/2990
meta:
  added_date: 2021-03-21T17:40
  edited_date: 2021-03-21T17:40
  fetched_date: 2025-11-17T10:24
  ttl: 86400
  visitors: 633
name: SUPER FUJI DISCS
picture_full: https://media.vgm.io/orgs/09/2990/2990-1616377260.jpg
picture_small: https://thumb-media.vgm.io/orgs/09/2990/2990-1616377260.jpg
region: Japan
releases: []
staff: []
type: Label / Imprint
vgmdb_link: https://vgmdb.net/org/2990?perpage=99999
websites: {}
